Skip to main content

Starting March 27, 2026, RC is rebranded as Nexconn. Existing RC SDK customers can continue using this documentation. New customers should refer to the Nexconn developer documentation.

Get User Info

Retrieve the user's registered information in the IM Service, including the user's name, avatar URL, and creation time.

Request Method

POST: https://data center domain/user/info.json

Rate Limit: 100 requests per second

Signature Rule: All server API requests must be validated according to the API Request Signature rules.

Body Parameters

The HTTP request body data format is application/x-www-form-urlencoded, and supports the following HTTP form parameters:

ParameterTypeRequiredDescription
userIdStringYesUser ID

Request Example

POST /user/info.json HTTP/1.1
Host: api.rong-api.com
App-Key: uwd1c0sxdlx2
Nonce: 14314
Timestamp: 1408710653491
Signature: 45beb7cc7307889a8e711219a47b7cf6a5b000e8
Content-Type: application/x-www-form-urlencoded

userId=123

Response

The HTTP response body contains a JSON object with the following structure:

Return ValueReturn TypeDescription
codeNumberReturn code, 200 indicates success.
userNameStringUser name.
userPortraitStringUser avatar URL.
createTimeStringUser creation time.

Response Example

HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
"code": 200,
"userName": "123",
"userPortrait": "",
"createTime": "2016-05-24 10:38:19"
}